### Method

# Ggit RevisionWalker hide

#### Declaration [src]

    void
    ggit_revision_walker_hide (
      GgitRevisionWalker* walker,
      GgitOId* oid,
      GError** error
    )

#### Description [src]

Marks a commit (and its ancestors) uninteresting for the output.

The given OID must belong to a commit on the walked repository.

The resolved commit and all its parents will be hidden from the output on the revision walk.

#### Parameters

`oid`

  Type: `GgitOId`

  A `GgitOId`.

  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.